<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>ru.entaxy.esb.platform</groupId>
        <artifactId>runtime</artifactId>
        <version>1.9.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <groupId>ru.entaxy.esb.platform.runtime</groupId>
    <artifactId>base</artifactId>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: BASE</name>
    <description>Entaxy Platform runtime base</description>
    <packaging>pom</packaging>

	<dependencies>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  	</dependency>        
	    <dependency>
	       	<groupId>org.apache.felix</groupId>
	       	<artifactId>org.apache.felix.scr</artifactId>
	    </dependency>
	</dependencies>

    <modules>
        <module>base-support</module>
        <module>platform-manager</module>
        <module>branding</module>
        <module>connecting</module>
        <module>management-core</module>
        <module>objects-base</module>
        <module>config-extensions</module>
        <module>resources</module>
    </modules>
</project>
